RagTime5FormulaInternal::State Struct Reference

Internal: the state of a RagTime5Formula. More...

## Public Member Functions
| State ()
| constructor

## Public Attributes
std::map< unsigned long, char const * > | m_idFunctionMap
| map id to function name
std::set< unsigned long > | m_idFunctionSet
| the set of function id
std::vector< std::string > | m_documentFunctionNames
| the document fonction names
std::map< int, std::shared_ptr< ClusterFormula > > | m_idFormulaMap
| map data id to text zone

## Detailed Description

Internal: the state of a RagTime5Formula.

## Constructor & Destructor Documentation

## ◆ State()

RagTime5FormulaInternal::State::State | ( |  | ) |
| inline

constructor

## Member Data Documentation

## ◆ m_documentFunctionNames

std::vector<std::string> RagTime5FormulaInternal::State::m_documentFunctionNames

the document fonction names

Referenced by State().

## ◆ m_idFormulaMap

std::map<int, std::shared_ptr<ClusterFormula> > RagTime5FormulaInternal::State::m_idFormulaMap

map data id to text zone

Referenced by State().

## ◆ m_idFunctionMap

std::map<unsigned long, char const *> RagTime5FormulaInternal::State::m_idFunctionMap

map id to function name

Referenced by State().

## ◆ m_idFunctionSet

std::set<unsigned long> RagTime5FormulaInternal::State::m_idFunctionSet

the set of function id

Referenced by State().

The documentation for this struct was generated from the following file:

- RagTime5Formula.cxx